Package ru.bitel.bgbilling.modules.cerbercrypt.server.event

# Class ClosePacketSubscriptionEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.cerbercrypt.server.event.ChangePacketSubscriptionEvent
ru.bitel.bgbilling.modules.cerbercrypt.server.event.ClosePacketSubscriptionEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ClosePacketSubscriptionEvent extends ChangePacketSubscriptionEvent
Синхронное событие - выполнение закрытия пакета через Web.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ClosePacketSubscriptionEvent()`
  ``
  `ClosePacketSubscriptionEvent(int userId, int mid, int cid, UserCard userCard, Packet packet, Date fromDate)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTypeId()`
  Deprecated.

  ### Methods inherited from class ru.bitel.bgbilling.modules.cerbercrypt.server.event.ChangePacketSubscriptionEvent

  `getError, getFromDate, getMessage, getPacket, getUserCard, isProcessed, setError, setMessage, setProcessed`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClosePacketSubscriptionEvent

    protected ClosePacketSubscriptionEvent()

  - ### ClosePacketSubscriptionEvent

    public ClosePacketSubscriptionEvent(int userId, int mid, int cid, UserCard userCard, Packet packet, Date fromDate)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `mid` - - код модуля
      `cid` - - код договора
      `userCard` - - карта клиента
      `packet` - - пакет
      `fromDate` - - с какой даты начать новый тариф

- ## Method Details

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`